OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_Array1OfVolumeElementPurposeMember Class Reference

`#include <StepElement_Array1OfVolumeElementPurposeMember.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array1OfVolumeElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_Array1OfVolumeElementPurposeMember (const Handle(StepElement_VolumeElementPurposeMember)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepElement_VolumeElementPurposeMember)&V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array1OfVolumeElementPurposeMember ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepElement_Array1OfVolumeElementPurposeMember & | Assign (const StepElement_Array1OfVolumeElementPurposeMember &Other)
const StepElement_Array1OfVolumeElementPurposeMember & | operator= (const StepElement_Array1OfVolumeElementPurposeMember &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_VolumeElementPurposeMember)&Value)
const Handle_StepElement_VolumeElementPurposeMember & | Value (const Standard_Integer Index) const
const Handle_StepElement_VolumeElementPurposeMember & | operator() (const Standard_Integer Index) const
Handle_StepElement_VolumeElementPurposeMember & | ChangeValue (const Standard_Integer Index)
Handle_StepElement_VolumeElementPurposeMember & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepElement_Array1OfVolumeElementPurposeMember (const StepElement_Array1OfVolumeElementPurposeMember &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array1OfVolumeElementPurposeMember::StepElement_Array1OfVolumeElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_Array1OfVolumeElementPurposeMember::StepElement_Array1OfVolumeElementPurposeMember | ( | const Handle(StepElement_VolumeElementPurposeMember)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepElement_Array1OfVolumeElementPurposeMember::~StepElement_Array1OfVolumeElementPurposeMember | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array1OfVolumeElementPurposeMember::StepElement_Array1OfVolumeElementPurposeMember | ( | const StepElement_Array1OfVolumeElementPurposeMember & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepElement_Array1OfVolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::Assign | ( | const StepElement_Array1OfVolumeElementPurposeMember & | Other | ) |

Handle_StepElement_VolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepElement_Array1OfVolumeElementPurposeMember::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array1OfVolumeElementPurposeMember::Init | ( | const Handle(StepElement_VolumeElementPurposeMember)& | V | ) |

Standard_Boolean StepElement_Array1OfVolumeElementPurposeMember::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfVolumeElementPurposeMember::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfVolumeElementPurposeMember::Lower | ( |  | ) | const

void StepElement_Array1OfVolumeElementPurposeMember::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array1OfVolumeElementPurposeMember::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array1OfVolumeElementPurposeMember::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepElement_VolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepElement_VolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepElement_Array1OfVolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::operator= | ( | const StepElement_Array1OfVolumeElementPurposeMember & | Other | ) | `[inline]`

void StepElement_Array1OfVolumeElementPurposeMember::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_VolumeElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_Array1OfVolumeElementPurposeMember::Upper | ( |  | ) | const

const Handle_StepElement_VolumeElementPurposeMember& StepElement_Array1OfVolumeElementPurposeMember::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepElement_Array1OfVolumeElementPurposeMember::isAllocated`[private]`

Standard_Integer StepElement_Array1OfVolumeElementPurposeMember::myLowerBound`[private]`

Standard_Address StepElement_Array1OfVolumeElementPurposeMember::myStart`[private]`

Standard_Integer StepElement_Array1OfVolumeElementPurposeMember::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepElement_Array1OfVolumeElementPurposeMember.hxx